%define __kde4_alternate_placement 1

%define rname kdepimlibs
Name: kde4pimlibs
Version: 4.1.3
Release: alt0.M41.2

Group: System/Libraries
Summary: K Desktop Environment 4 - PIM Libraries
License: LGPLv2
Url: http://www.kde.org/

Source: %rname-%version.tar

Requires: %{get_dep kde4libs}
%if "%{get_version libakonadiprotocolinternals}" != ""
Requires: %{get_dep libakonadiprotocolinternals}
%else
libakonadiprotocolinternals not found
%endif

BuildRequires: boost-devel bzlib-devel gcc-c++
BuildRequires: libgpg-error-devel libgpgme-devel libldap-devel libstrigi-devel
BuildRequires: libgpgme-devel xorg-x11-devel libsasl2-devel
BuildRequires: kde4libs-devel >= %version
BuildRequires: akonadi-devel >= 0.81

%description
Personal Information Management (PIM) libraries for the
K Desktop Environment 4.

%package devel
Group: Development/KDE and QT
Summary: Header files for %name
Requires: kde-common boost-devel
%ifdef __kde4_alternate_placement
Requires: kde4libs-devel => %version
%else
Requires: kdelibs-devel => %version
%endif
Requires: %name = %version-%release

%description devel
Header files for developing applications using %name.

%prep
%setup -q -n %rname-%version


%build
%K4build


%install
%K4install


%post -p %post_ldconfig
%postun -p %postun_ldconfig


%files
%_K4datadir/apps/akonadi-kde/
%_K4libdir/lib*.so.*
#%_K4libdir/libkdeinit4_*.so
%_K4lib/*.so*
%dir %_K4libdir/gpgmepp/
%_K4apps/kabc/
%_K4apps/libical/
%_K4conf_update/*
%_K4cfg/*
%_K4srv/*
%_K4srvtyp/*
%_K4datadir/apps/cmake/modules/*
%_K4dbus_interfaces/*


%files devel
%__kde4_libdir_link/lib*.so
#%exclude %_K4libdir/libkdeinit4_*.so
%_K4includedir/*
%_K4libdir/gpgmepp/*.cmake


%changelog
* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.2
- built for M41

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Thu Oct 09 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Mon Sep 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Tue May 27 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Sun May 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.71-alt1
- new version

* Tue Apr 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Thu Mar 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- new version

* Fri Feb 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt1
- built for ALT

